gr_faceinfo Struct Reference

Holds information about a particular Graphite silf table that has been loaded. More...

`#include <Font.h>`

## Public Types

enum | gr_space_contextuals { gr_space_unknown = 0 , gr_space_none = 1 , gr_space_left_only = 2 , gr_space_right_only = 3 , gr_space_either_only = 4 , gr_space_both = 5 , gr_space_cross = 6 }

## Public Attributes

gr_uint16 | extra_ascent
| The extra_ascent in the GDL, in design units. More...
gr_uint16 | extra_descent
| The extra_descent in the GDL, in design units. More...
gr_uint16 | upem
| The design units for the font. More...
enum gr_faceinfo::gr_space_contextuals | space_contextuals
unsigned int | has_bidi_pass: 1
| the table specifies that a bidirectional pass should run More...
unsigned int | line_ends: 1
| there are line end contextuals somewhere More...
unsigned int | justifies: 1
| there are .justify properties set somewhere on some glyphs More...

## Detailed Description

Holds information about a particular Graphite silf table that has been loaded.

## Member Enumeration Documentation

## gr_space_contextuals

enum gr_space_contextuals

Enumerator
gr_space_unknown | no information is known.
gr_space_none | the space character never occurs in any rules.
gr_space_left_only | the space character only occurs as the first element in a rule.
gr_space_right_only | the space character only occurs as the last element in a rule.
gr_space_either_only | the space character only occurs as the only element in a rule.
gr_space_both | the space character may occur as the first or last element of a rule.
gr_space_cross | the space character occurs in a rule not as a first or last element.

## Member Data Documentation

## extra_ascent

gr_uint16 extra_ascent

The extra_ascent in the GDL, in design units.

## extra_descent

gr_uint16 extra_descent

The extra_descent in the GDL, in design units.

## has_bidi_pass

unsigned int has_bidi_pass

the table specifies that a bidirectional pass should run

## justifies

unsigned int justifies

there are .justify properties set somewhere on some glyphs

## line_ends

unsigned int line_ends

there are line end contextuals somewhere

## space_contextuals

enum gr_faceinfo::gr_space_contextuals space_contextuals

## upem

gr_uint16 upem

The design units for the font.

The documentation for this struct was generated from the following file:

- Font.h